OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DocumentReference Class Reference

`#include <StepBasic_DocumentReference.hxx>`

Inheritance diagram for StepBasic_DocumentReference:

[legend]

## Public Member Functions
Standard_EXPORT void | Init0 (const Handle(StepBasic_Document)&aAssignedDocument, const Handle(TCollection_HAsciiString)&aSource)
Standard_EXPORT Handle_StepBasic_Document | AssignedDocument () const
Standard_EXPORT void | SetAssignedDocument (const Handle(StepBasic_Document)&aAssignedDocument)
Standard_EXPORT Handle_TCollection_HAsciiString | Source () const
Standard_EXPORT void | SetSource (const Handle(TCollection_HAsciiString)&aSource)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_Document | theAssignedDocument
Handle_TCollection_HAsciiString | theSource

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Document StepBasic_DocumentReference::AssignedDocument | ( |  | ) | const

Standard_EXPORT const StepBasic_DocumentReference::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP203_CcDesignSpecificationReference, StepAP214_AppliedDocumentReference, and StepAP214_AutoDesignDocumentReference.

Standard_EXPORT void StepBasic_DocumentReference::Init0 | ( | const Handle(StepBasic_Document)& | aAssignedDocument,
|  | const Handle(TCollection_HAsciiString)& | aSource
| ) |

Standard_EXPORT void StepBasic_DocumentReference::SetAssignedDocument | ( | const Handle(StepBasic_Document)& | aAssignedDocument | ) |

Standard_EXPORT void StepBasic_DocumentReference::SetSource | ( | const Handle(TCollection_HAsciiString)& | aSource | ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentReference::Source | ( |  | ) | const

## Field Documentation

Handle_StepBasic_Document StepBasic_DocumentReference::theAssignedDocument`[private]`

Handle_TCollection_HAsciiString StepBasic_DocumentReference::theSource`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DocumentReference.hxx